<?php

namespace App\Http\Controllers;

use App\Models\Gejala;
use Illuminate\Http\Request;

class GejalaController extends Controller
{
    public function index()
    {
        $gejala = Gejala::all();
        return view('gejala.index',compact(['gejala']));
    }

    public function create() 
    {
        return view('gejala.create');
    }
    
    public function store(Request $request)
    {
    // Generate kode gejala secara otomatis
    $totalGejala = Gejala::count();
    $nextKodeGejala = 'G' . ($totalGejala + 1);

    // Buat gejala baru dengan menggunakan kode baru
    Gejala::create([
        'kode_gejala' => $nextKodeGejala,
        'nama_gejala' => $request->nama_gejala,
    ]);

    return redirect('/gejala');
    }

    public function edit($kode_gejala)
    {
        $gejala = Gejala::where('kode_gejala', $kode_gejala)->first();
        if (!$gejala) {
            // Handle jika data tidak ditemukan
    }
        return view('gejala.edit', compact('gejala'));
    }

    public function update($kode_gejala, Request $request)
    {
        $gejala = Gejala::where('kode_gejala', $kode_gejala)->first();
        $gejala ->update($request->except('_token','submit'));
        return redirect('/gejala');
    }

    public function destroy($kode_gejala)
    {
    // Temukan data gejala berdasarkan kode gejala
    $gejala = Gejala::where('kode_gejala', $kode_gejala)->first();

    // Periksa apakah data ditemukan
    if ($gejala) {
        // Jika data ditemukan, hapus data
        $gejala->delete();
        return redirect('/gejala')->with('success', 'Data gejala berhasil dihapus');
    } else {
        // Jika data tidak ditemukan, tangani dengan memberikan respons yang sesuai
        return redirect('/gejala')->with('error', 'Data gejala tidak ditemukan');
    }
}


}
