<?php

namespace App\Http\Controllers;

use App\Models\Penyakit;
use App\Models\Penanganan;
use Illuminate\Http\Request;

class PenangananController extends Controller
{
    public function index(){
        $penanganan = Penanganan::all();
        return view('penanganan.index', compact('penanganan'));
    }

    public function create() 
    {
        $penyakit = Penyakit::select('kode_penyakit', 'nama_penyakit')->get();
        return view('penanganan.create', compact('penyakit'));
    }

    public function store(Request $request)
    {
        $requestData = $request->except(['_token', 'submit']);
        $namaPenyakit = $request->input('nama_penyakit');
        $kodePenyakit = Penyakit::where('nama_penyakit', $namaPenyakit)->value('kode_penyakit');
        $requestData['kode_penyakit'] = $kodePenyakit;
        Penanganan::create($requestData);
        return redirect('/penanganan');
    }

    public function edit($id)
    {
        $penanganan = Penanganan::find($id);
        $penyakit = Penyakit::select('kode_penyakit', 'nama_penyakit')->get();
        return view('penanganan.edit', compact('penanganan', 'penyakit'));
    }

    public function update($id, Request $request)
    {
        $penanganan = Penanganan::find($id);
        $penanganan->update($request->except('_token', 'submit'));
        return redirect('/penanganan');
    }

    public function destroy($id)
    {
        $penanganan = Penanganan::findOrFail($id);
        $penanganan->delete();
        return redirect('/penanganan')->with('success', 'Data berhasil dihapus');
    }
}
