<?php

namespace App\Http\Controllers;

use App\Models\Penyakit;
use Illuminate\Http\Request;

class PenyakitController extends Controller
{
    public function index(){
        $penyakit = Penyakit::all();
        return view('penyakit.index',compact(['penyakit']));
    }

    public function create() 
    {
        return view('penyakit.create');
    }
    
    // Metode store di PenyakitController
    public function store(Request $request)
    {
        // Generate kode penyakit secara otomatis
        $totalPenyakit = Penyakit::count();
        $nextKodePenyakit = 'P' . ($totalPenyakit + 1);
    
        // Buat penyakit baru dengan menggunakan kode baru
        Penyakit::create([
            'kode_penyakit' => $nextKodePenyakit,
            'nama_penyakit' => $request->nama_penyakit,
            'deskripsi_penyakit' => $request->deskripsi_penyakit,
            'saran_penanganan' => $request->saran_penanganan,
            'saran_pencegahan' => $request->saran_pencegahan,
        ]);
    
        return redirect('/penyakit');
    }
    


    public function edit($kode_penyakit)
    {
        $penyakit= Penyakit::where('kode_penyakit', $kode_penyakit)->first();
        if (!$penyakit) {
            // Handle jika data tidak ditemukan
    }
        return view('penyakit.edit', compact('penyakit'));
    }

    public function update($kode_penyakit, Request $request)
    {
        $penyakit = Penyakit::where('kode_penyakit', $kode_penyakit)->first();
        $penyakit ->update($request->except('_token','submit'));
        return redirect('/penyakit');
    }

    public function destroy($kode_penyakit)
    {
    // Temukan data penyakit berdasarkan kode penyakit
    $penyakit = Penyakit::where('kode_penyakit', $kode_penyakit)->first();

    // Periksa apakah data ditemukan
    if ($penyakit) {
        // Jika data ditemukan, hapus data
        $penyakit->delete();
        return redirect('/penyakit')->with('success', 'Data penyakit berhasil dihapus');
    } else {
        // Jika data tidak ditemukan, tangani dengan memberikan respons yang sesuai
        return redirect('/penyakit')->with('error', 'Data penyakit tidak ditemukan');
    }
}


}
