<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Riwayat;
use Illuminate\Support\Facades\Auth;

class RiwayatController extends Controller
{
    // riwayat user untuk di halaman admin
    public function index()
    {
        // Ambil data riwayat dari tabel riwayat
        $riwayat = Riwayat::all();

        // Tampilkan data riwayat di halaman riwayat
        return view('riwayat-user.index', compact('riwayat'));
    }

    public function destroy($id)
    {
        $riwayat = Riwayat::find($id);
        $riwayat->delete();
        return redirect('/riwayat-user')->with('success', 'Data berhasil dihapus');
    }
    
    // riwayat analisis untuk di halaman user
    public function index2()
    {
        // Ambil username pengguna yang sedang terautentikasi
        $username = Auth::user()->username;

        // Ambil data riwayat dari tabel riwayat berdasarkan username pengguna yang sedang terautentikasi
        $riwayat = Riwayat::where('username', $username)->get();

        // Tampilkan data riwayat di halaman riwayat
        return view('riwayat-analisis.index2', compact('riwayat'));
    }

}