<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Penyakit extends Model
{
    public $timestamps = false;
    
    use HasFactory;
    protected $table = 'penyakit';
    //protected $fillable = ['kode_penyakit']
    //protected $guarded = [];
    protected $fillable = ['kode_penyakit', 'nama_penyakit', 'deskripsi_penyakit', 'saran_penanganan', 'saran_pencegahan'];

    protected static function boot()
    {
        parent::boot();

        static::creating(function ($penyakit) {
            $totalPenyakit = static::count();
            $nextKodePenyakit = 'P' . ($totalPenyakit + 1);

            // Set nilai kode_penyakit sebelum data disimpan
            $penyakit->kode_penyakit = $nextKodePenyakit;
        });
    }    
}
