@extends('layout.main')

@section('judul')
    Hasil Analisis Dugaan
@endsection

@section('isi')
<div class="card">
    <div class="card-header">
      <h3 class="card-title">
        <!--<a href="" class="btn btn-outline-primary">Primary</a>-->
        <!-- Tombol untuk simpan data kedalam riwayat -->
      </h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
        <body>
            <h6>Hasil Analisis Dugaan</h6>
            <h6>Usename: {{ Auth::user()->username }}</h6>
            <h6>Hari, Tanggal: {{ session('hariTanggal') }}</h6>
            <h6>Waktu: {{ session('waktu') }}</h6><br>

            <!-- Menampilkan data jawaban dari user -->
            @if($jawabanDenganInfo)
                <h3 class="placeholder col-12 bg-secondary d-block">Pilihan Jawaban Dari User</h3>
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">Kode Gejala</th>
                            <th scope="col">Nama Gejala</th>
                            <th scope="col">Pilihan Jawaban</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($jawabanDenganInfo as $info)
                            <tr>
                                <td>{{ $info['kode_gejala'] }}</td>
                                <td>{{ $info['nama_gejala'] }}</td>
                                <td>{{ $info['pilihan_jawaban'] }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table><br>
            @else
                <p>Tidak ada jawaban dengan informasi yang dipilih.</p>
            @endif

            <!-- Menampilkan penyakit yang terkait dengan gejala yang dipilih  -->
            <h3 class="placeholder col-12 bg-secondary d-block">Penyakit Terkait Dengan Gejala Yang Dipilih</h3>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">Nama Penyakit</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse ($cfTotalPerPenyakit as $penyakit => $cfk)
                        <tr>
                            <td>{{ $penyakit }}</td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="1">Tidak ada penyakit terkait dengan gejala yang dipilih.</td>
                        </tr>
                    @endforelse
                </tbody>
            </table><br>

            <!-- Menampilkan data dari penalaran forward chaining dan perhitungan cf -->
            @if ($gejalaDipilih)
            <h3 class="placeholder col-12 bg-secondary d-block">Penalaran Forward Chaining Dan Perhitungan Certainty Factor</h3>
            @foreach ($gejalaDipilih as $detailPenyakit)
                <div class="card mb-3">
                    <div class="card-header">
                        <h4 class="card-title">{{ $detailPenyakit['penyakit'] }}</h4>
                    </div>
                    <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Kode Gejala</th>
                                    <th>Nama Gejala</th>
                                    <th>Pilihan Jawaban</th>
                                    <th>Nilai User</th>
                                    <th>Nilai Pakar</th>
                                    <th>CF</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($detailPenyakit['gejala'] as $gejala)
                                    <tr>
                                        <td>{{ $gejala['kode_gejala'] }}</td>
                                        <td>{{ $gejala['nama_gejala'] }}</td>
                                        <td>{{ $gejala['pilihan_jawaban'] }}</td>
                                        <td>{{ $gejala['nilai_user'] }}</td>
                                        <td>{{ $gejala['nilai_pakar'] }}</td>
                                        <td>
                                            <!-- Menampilkan nilai CFK jika kunci adalah kunci CFK -->
                                            @foreach ($gejala as $key => $value)
                                                @if (strpos($key, 'cf') === 0)
                                                    {{ strtoupper($key) }}: {{ $value }}<br>
                                                @endif
                                            @endforeach
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    </div>
                </div><br>
            @endforeach

            <!-- Menampilkan perhitungan certainty factor CFK (cf kombinasi) -->    
            <h3 class="placeholder col-12 bg-secondary d-block">Perhitungan Certainty Factor Untuk CFK</h3>
                @foreach ($gejalaDipilih as $detailPenyakit)
                    @if (isset($detailPenyakit['cf']['cfk1'])) <!-- Pastikan CFK untuk penyakit ini telah dihitung -->
                    <div class="card mb-3">
                        <div class="card-header">
                            <h4 class="card-title">{{ $detailPenyakit['penyakit'] }}</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>CFK</th>
                                            <th>Nilai</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($detailPenyakit['cf'] as $key => $value)
                                            @if (strpos($key, 'cfk') === 0)
                                                <tr>
                                                    <td>{{ strtoupper($key) }}</td>
                                                    <td>{{ $value }}</td>
                                                </tr>
                                            @endif
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div><br>
                    @endif
                @endforeach
            @endif

            <!-- Menampilkan kesimpulan keseluruhan -->
            <h3 class="placeholder col-12 bg-secondary d-block">Hasil Kesimpulan Dan Penjelasan Dugaan Penyakit</h3>
                @if ($penyakitTerbanyak)
                <div class="card">
                    <div class="card-header ">
                        <h3 class="card-title text-center">Hasil Kesimpulan</h3>
                    </div>
                    <div class="card-body text-center">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th scope="col">Penyakit Terbanyak</th>
                                    <th scope="col">CFK Terakhir</th>
                                    <th scope="col">CFK Terakhir dalam Persen</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>{{ $penyakitTerbanyak }}</td>
                                    <td>{{ $cfkTerakhirHasil }}</td>
                                    <td>{{ $cfkTerakhirPersen }}%</td>
                                </tr>
                            </tbody>
                        </table> <br>
                        <p><strong>Dari penulusuran forward chaining dan perhitungan certainty factor masing-masing penyakit, 
                            diperoleh nilai certainty factor terakhir sebesar {{$cfkTerakhirHasil }} atau {{ $cfkTerakhirPersen }}% dimilki oleh penyakit {{ $penyakitTerbanyak }}.
                            sehingga dapat disimpulkan bahwa dugaan penyakit dari inputan pengguna adalah {{ $penyakitTerbanyak }}.</strong></p>
                    </div>
                </div><br>
                
                <!--Penjelasan-->
                <p><strong>Deskripsi Penyakit: </strong>{{ $deskripsiPenyakit }}</p>
                        <p> <strong> Saran Penanganan: </p></strong>
                            <ul>
                                @foreach (explode("\n", $saranPenanganan) as $saran)
                                    @if (!empty(trim($saran)))
                                        <li>{{ trim($saran) }}</li>
                                    @endif
                                @endforeach
                            </ul>
                        <p><strong>Saran Pencegahan:</p></strong>
                            <ul>
                                @foreach (explode("\n", $saranPencegahan) as $saran)
                                    @if (!empty(trim($saran)))
                                        <li>{{ trim($saran) }}</li>
                                    @endif
                                @endforeach
                            </ul>
                    @else
                        <p>Tidak ada hasil analisis yang ditemukan.</p>
                    @endif
                        {{-- <script>
                            window.onload = function() {
                                alert("Setelah mengetahui hasil dugaan penyakit pada kucing, silahkan lakukan penanganan pertama.");
                            };
                        </script> --}}
                </body>
            </div>
        </div>
        <form id="form-analisis" action="{{ url('home') }}" method="GET">
            @csrf
            <div class="text-center">
                <button type="submit" class="btn btn-success">Selesai</button>
            </div>            
        </form><br>
        <div class="alert alert-warning">
            <strong>Perhatian!</strong> Silahkan lakukan penaganan pertama terlebih dahulu. Anda dapat melihat penanganan lanjutan pada menu riwayat.
        </div>
  </div>
</div>
@endsection
