<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hasil Analisis Dugaan</title>
    <!-- Tambahkan link CSS jika diperlukan -->
</head>
<body>
    <h6>Hasil Analisis Dugaan</h6>
    <h6>Hari, Tanggal: {{ session('hariTanggal') }}</h6>
    <h6>Waktu: {{ session('waktu') }}</h6>

    <!-- Menampilkan data jawaban dari user -->
    @if($jawabanDenganInfo)
    <h3>Pilihan Jawaban Dari User</h3>
    <ul>
        @foreach ($jawabanDenganInfo as $info)
            <li>
                Kode Gejala: {{ $info['kode_gejala'] }}<br>
                Nama Gejala: {{ $info['nama_gejala'] }}<br>
                Pilihan Jawaban: {{ $info['pilihan_jawaban'] }}<br>
            </li>
        @endforeach
    </ul>
    @else
        <p>Tidak ada jawaban dengan informasi yang dipilih.</p>
    @endif

    <!-- Menampilkan penyakit yang terkait dengan gejala yang dipilih  -->
    <h3>Penyakit Terkait Dengan Gejala Yang Dipilih</h3>
    <ul>
        @foreach ($cfTotalPerPenyakit as $penyakit => $cfk)
            <li>Nama Penyakit: {{ $penyakit }}</li>
        @endforeach
    </ul>
    
    <!-- Menampilkan data dari penalaran forward chaining dan perhitungan cf -->
    @if ($gejalaDipilih)
    <h3>Penalaran Forward Chaining Dan Perhitungan Certainty Factor</h3>
    <ul>
        @foreach ($gejalaDipilih as $detailPenyakit)
            <li>
                <h4>{{ $detailPenyakit['penyakit'] }}</h4>
                <ul>
                    @foreach ($detailPenyakit['gejala'] as $gejala)
                        <li>
                            Kode Gejala: {{ $gejala['kode_gejala'] }}<br>
                            Nama Gejala: {{ $gejala['nama_gejala'] }}<br>
                            Pilihan Jawaban: {{ $gejala['pilihan_jawaban'] }}<br>
                            Nilai User: {{ $gejala['nilai_user'] }}<br>
                            Nilai Pakar: {{ $gejala['nilai_pakar'] }}<br>
                            
                            <!-- Menampilkan nilai CFK jika kunci adalah kunci CFK -->
                            @foreach ($gejala as $key => $value)
                                @if (strpos($key, 'cf') === 0)
                                    {{ strtoupper($key) }}: {{ $value }}<br>
                                @endif
                            @endforeach
                        </li>
                    @endforeach
                </ul>
            </li>
        @endforeach
    </ul>
    
    <!-- Menampilkan perhitungan certainty factor CFK (cf kombinasi) -->    
    <h3>Perhitungan Certainty Factor Untuk CFK</h3>
    @foreach ($gejalaDipilih as $detailPenyakit)
        @if (isset($detailPenyakit['cfk1'])) <!-- Pastikan CFK untuk penyakit ini telah dihitung -->
            <h4>{{ $detailPenyakit['penyakit'] }}</h4>
            <ul>
                {{-- Tampilkan nilai CFK --}}
                @foreach ($detailPenyakit as $key => $value)
                    @if (strpos($key, 'cfk') === 0)
                        <li><strong>{{ strtoupper($key) }}:</strong> {{ $value }}</li>
                    @endif
                @endforeach
            </ul>
        @endif
    @endforeach
    @endif

    <!-- Menampilkan kesimpulan keseluruhan -->
    <h3>Hasil Dan Kesimpulan Analisis Dugaan</h3>
    @if ($penyakitTerbanyak)
        <p>Penyakit Terbanyak: {{ $penyakitTerbanyak }}</p>
        <p>CFK Terakhir: {{$cfkTerakhir}}</p>
        <p>CFK Terakhir dalam Persen: {{ $cfkTerakhirPersen }}%</p>
        <p><strong>Dari penulusuran forward chaining dan perhitungan certainty factor masing-masing penyakit, 
            diperoleh nilai certainty factor terakhir sebesar {{$cfkTerakhir}} atau {{ $cfkTerakhirPersen }}% dimilki oleh penyakit {{ $penyakitTerbanyak }}.
            sehingga dapat disimpulkan bahwa dugaan penyakit dari inputan pengguna adalah {{ $penyakitTerbanyak }}.</strong></p>
        <p><strong>Deskripsi Penyakit: </strong>{{ $deskripsiPenyakit }}</p>
        <p><strong> Saran Penanganan: </strong></p>
        <ul>
            @foreach (explode("\n", $saranPenanganan) as $saran)
                @if (!empty(trim($saran)))
                    <li>{{ trim($saran) }}</li>
                @endif
            @endforeach
        </ul>
        <p><strong>Saran Pencegahan:</strong></p>
        <ul>
            @foreach (explode("\n", $saranPencegahan) as $saran)
                @if (!empty(trim($saran)))
                    <li>{{ trim($saran) }}</li>
                @endif
            @endforeach
        </ul>
    @else
        <p>Tidak ada hasil analisis yang ditemukan.</p>
    @endif
</body>
</html>
