@extends('layout.main')

@section('judul')
    Data Galeri Kucing
@endsection

@section('isi')
<div class="card">
    <div class="card-header">
      <h3 class="card-title">
        <a href="/galeri/create" class="btn btn-primary">Tambah Galeri Kucing</a>
      </h3>

      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
        <table id="example" class="table table-sm table-bordered table-striped">
            <thead>
                <tr>
                    <th style="text-align: center;">No</th>
                    <th style="text-align: center;">Nama Kucing</th>
                    <th style="text-align: center;">Deskripsi</th>
                    <th style="text-align: center;">Gambar Kucing</th>
                    <th style="text-align: center;">Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach($galeri as $index => $gl)
                <tr>
                    <td>{{ $index + 1 }}</td> <!-- Nomor urut dimulai dari 1 -->
                    <td>{{ $gl->nama_kucing }}</td>
                    <td>{{ $gl->deskripsi }}</td>
                    <td>
                        @if($gl->gambar_kucing)
                            <img src="{{ asset('img/galeri/' . $gl->gambar_kucing) }}" alt="Gambar Kucing" style="max-width: 200px;">
                        @else
                            Tidak ada gambar
                        @endif
                    </td>
                    <td>
                        <div class="btn-group" role="group" aria-label="Basic example">
                            <a href="/galeri/{{$gl->id}}/edit" class="btn btn-sm btn-warning mr-1">Edit</a>
                            <form action="/galeri/{{ $gl->id }}" method="POST">
                                @csrf
                                @method('delete')
                                <button class="btn btn-sm btn-danger ml-1" type="submit" onclick="return confirm('Apakah anda yakin akan menghapus data ini?')">Delete</button>
                            </form>
                        </div>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection
