@extends('layout.main')

@section('judul', 'Data Nilai CF Pakar')

@section('isi')
<div class="card">
    <div class="card-header">
      <h3 class="card-title">
        <a href="/npakar/create" class="btn btn-primary">Tambah Nilai CF Pakar</a>
      </h3>

      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i>
        </button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i>
        </button>
      </div>
    </div>
    <div class="card-body">
        <table id="example" class="table table-sm table-bordered table-striped">
            <thead>
                <tr>
                    <th style="text-align: center;">No</th>
                    <th style="text-align: center;">Kode Penyakit</th>
                    <th style="text-align: center;">Nama Penyakit</th>
                    <th style="text-align: center;">Kode Gejala</th>
                    <th style="text-align: center;">Nama Gejala</th>
                    <th style="text-align: center;">Nilai Pakar</th>
                    <th style="text-align: center;">Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach($npakar as $index => $np)
                <tr>
                    <td>{{ $index + 1 }}</td> <!-- Tambahkan nomor urut dan kemudian tambahkan 1 setiap kali loop berjalan -->
                    <td>{{ $np->kode_penyakit }}</td>
                    <td>{{ $np->nama_penyakit }}</td>
                    <td>{{ $np->kode_gejala }}</td>
                    <td>{{ $np->nama_gejala }}</td>
                    <td>{{ $np->nilai_pakar }}</td>
                    <td>
                      <div class="btn-group" role="group" aria-label="Basic example">
                        <a href="/npakar/{{ $np->id }}/edit" class="btn btn-sm btn-warning mr-1">Edit</a>
                        <form action="/npakar/{{ $np->id }}" method="POST">
                            @csrf
                            @method('delete')
                            <button class="btn btn-sm btn-danger ml-1" type="submit" onclick="return confirm('Apakah anda yakin akan menghapus data ini?')">Delete</button>
                        </form>
                      </div>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection
