@extends('layout.main')

@section('judul')
    Data Penanganan Lanjutan
@endsection

@section('isi')
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">
                <a href="/penanganan/create" class="btn btn-primary">Tambah Penanganan Lanjutan</a>
            </h3>

            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                    <i class="fas fa-minus"></i></button>
                <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
                    <i class="fas fa-times"></i></button>
            </div>
        </div>
        <div class="card-body">
            <table id="example" class="table table-sm table-bordered table-striped">
                <thead>
                    <tr>
                        <th style="text-align: center;">No</th>
                        <th style="text-align: center;">Kode Penyakit</th>
                        <th style="text-align: center;">Nama Penyakit</th>
                        <th style="text-align: center;">Saran Penanganan Lanjutan</th>
                        <th style="text-align: center;">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    @php $no = 1 @endphp <!-- Inisialisasi nomor urut -->
                    @foreach ($penanganan as $pn)
                        <tr>
                            <td>{{ $no++ }}</td>
                            <td>{{ $pn->kode_penyakit }}</td>
                            <td>{{ $pn->nama_penyakit }}</td>
                            <td>
                                <ol>
                                    @foreach (explode("\n", $pn->saran_penanganan_lanjutan) as $penanganan)
                                        <li>{{ substr($penanganan, 0, 15) }}{{ strlen($penanganan) > 15 ? '...' : '' }}</li>
                                    @endforeach
                                </ol>
                            </td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Basic example">
                                    <a href="/penanganan/{{ $pn->id }}/edit" class="btn btn-sm btn-warning mr-1">Edit</a>
                                    <button class="btn btn-sm btn-info ml-1" type="button" data-toggle="modal" data-target="#detailModal{{ $pn->id }}">Detail</button>
                                    <form action="/penanganan/{{ $pn->id }}" method="POST">
                                        @csrf
                                        @method('delete')
                                        <button class="btn btn-sm btn-danger ml-1" type="submit" onclick="return confirm('Apakah anda yakin akan menghapus data ini?')">Delete</button>
                                    </form>
                                </div>
                            </td>
                        </tr>

                        {{-- modal --}}
                        <div class="modal fade" id="detailModal{{ $pn->id }}" tabindex="-1" role="dialog"
                            aria-labelledby="exampleModalLabel{{ $pn->id }}" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel{{ $pn->id }}">Detail penanganan
                                            {{ $pn->nama_penyakit }}</h5> <!-- Menggunakan $pn->nama_penyakit -->
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <p><strong>Kode Penyakit:</strong> {{ $pn->kode_penyakit }}</p>
                                        <!-- Menggunakan $pn->kode_penyakit -->
                                        <p><strong>Nama Penyakit:</strong> {{ $pn->nama_penyakit }}</p>
                                        <p><strong>Saran Penanganan Lanjutan</strong></p>
                                        <ol>
                                            @foreach (explode("\n", $pn->saran_penanganan_lanjutan) as $penanganan)
                                                <li>{{ $penanganan }}</li>
                                            @endforeach
                                        </ol>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection