@extends('layout.main')

@section('judul')
    Data Penyakit
@endsection

@section('isi')
<div class="card">
    <div class="card-header">
      <h3 class="card-title">
        Tambah Data Penyakit
      </h3>

      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
        <form action="/penyakit/store" method="POST">
            @csrf
            <div class="form-group">
                <!-- Label untuk kode penyakit -->
                <label for="kode_penyakit">Kode Penyakit:</label><br>
                <!-- Input field untuk kode penyakit -->
                <input type="text" name="kode_penyakit" id="kode_penyakit" class="form-control" readonly><br>
                <!-- Label untuk nama penyakit -->
                <label for="nama_penyakit">Nama Penyakit:</label><br>
                <!-- Input field untuk nama penyakit -->
                <input type="text" name="nama_penyakit" id="nama_penyakit" class="form-control" required><br>

                <label for="deskripsi_penyakit">Deskripsi Penyakit:</label><br>
                <!-- Kolom teks untuk deskripsi penyakit -->
                <textarea name="deskripsi_penyakit" id="deskripsi_penyakit" class="form-control" rows="4" required></textarea><br>
                <label for="saran_penanganan">Saran Penanganan:</label><br>
                <!-- Kolom teks untuk deskripsi penyakit -->
                <textarea name="saran_penanganan" id="saran_penanganan" class="form-control" rows="4" required></textarea><br>
                <label for="saran_pencegahan">Saran Pencegahan:</label><br>
                <!-- Kolom teks untuk deskripsi penyakit -->
                <textarea name="saran_pencegahan" id="saran_pencegahan" class="form-control" rows="4" required></textarea><br>
            </div>
            <button type="submit" class="btn btn-primary">Simpan</button><br>
        </form>
    </div>
  </div>
</div>
@endsection

<script>
    // Generate kode penyakit secara otomatis saat halaman dimuat
    window.onload = function() {
        generateKodePenyakit();
    };

    // Fungsi untuk menghasilkan kode penyakit secara otomatis
    function generateKodePenyakit() {
        // Kirim permintaan AJAX untuk mendapatkan jumlah total penyakit
        axios.get('/penyakit/count')
            .then(function(response) {
                // Hitung total penyakit
                var totalPenyakit = response.data.total;
                
                // Bangkitkan kode penyakit berikutnya
                var nextKodePenyakit = 'P' + (totalPenyakit+ 1);

                // Tampilkan data kode penyakit di konsol
                console.log('Next Kode Penyakit:', nextKodePenyakit);
                
                // Set nilai input field kode_penyakit dengan kode penyakit yang dihasilkan
                document.getElementById('kode_penyakit').value = nextKodePenyakit;
            })
            .catch(function(error) {
                console.error('Error:', error);
            });
    }
</script>
