@extends('layout.main')

@section('judul', 'Data Penyakit')

@section('isi')
<div class="card">
    <div class="card-header">
      <h3 class="card-title">
        <a href="/penyakit/create" class="btn btn-primary">Tambah Penyakit</a>
      </h3>

      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i>
        </button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i>
        </button>
        <button type="button" class="btn btn-tool" data-card-widget="info" data-toggle="tooltip" title="Info">
          <i class="fas fa-info"></i> <!-- Perbaikan ikon -->
        </button>
      </div>
    </div>
    <div class="card-body">
        <table id="example" class="table table-sm table-bordered table-striped">
            <thead>
                <tr>
                    <th style="text-align: center;">No</th>
                    <th style="text-align: center;">Kode Penyakit</th>
                    <th style="text-align: center;">Nama Penyakit</th>
                    <th style="text-align: center;">Deskripsi Penyakit</th>
                    <th style="text-align: center;">Saran Penanganan</th>
                    <th style="text-align: center;">Saran Pencegahan</th>
                    <th style="text-align: center;">Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach($penyakit as $index => $p)
                <tr>
                    <td>{{ $index + 1 }}</td> 
                    <td>P{{ $index + 1 }}</td>
                    <td>{{ $p->nama_penyakit }}</td>
                    <td>{{ substr($p->deskripsi_penyakit, 0, 100) }}{{ strlen($p->deskripsi_penyakit) > 100 ? '...' : '' }}</td> <!--substr digunakan untuk memotong teks ditabel-->
                    <td>
                        <ul>
                            @foreach(explode("\n", $p->saran_penanganan) as $saran)
                                <li>{{ substr($saran, 0, 15) }}{{ strlen($saran) > 15 ? '...' : '' }}</li>
                            @endforeach
                        </ul>
                    </td>
                    <td>
                        <ul>
                            @foreach(explode("\n", $p->saran_pencegahan) as $saran)
                                <li>{{ substr($saran, 0, 15) }}{{ strlen($saran) > 15 ? '...' : '' }}</li>
                            @endforeach
                        </ul>
                    </td>
                    <td>
                        <div class="btn-group" role="group" aria-label="Basic example">
                            <a href="/penyakit/{{$p->kode_penyakit}}/edit" class="btn btn-sm btn-warning mr-1">Edit</a>
                            <button class="btn btn-sm btn-info ml-1" type="button" data-toggle="modal" data-target="#detailModal{{$index}}">Detail</button>
                            <form action="/penyakit/{{ $p->kode_penyakit }}" method="POST">
                                @csrf
                                @method('delete')
                                <button class="btn btn-sm btn-danger ml-1" type="submit" onclick="return confirm('Apakah anda yakin akan menghapus data ini?')">Delete</button>
                            </form>
                        </div>
                    </td>             
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

@foreach($penyakit as $index => $p)
    <!-- Modal -->
    <div class="modal fade" id="detailModal{{$index}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel{{$index}}" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel{{$index}}">Detail Penyakit {{$p->nama_penyakit}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p><strong>Kode Penyakit:</strong> {{$p->kode_penyakit}}</p>
                    <p><strong>Nama Penyakit:</strong> {{$p->nama_penyakit}}</p>
                    <p><strong>Deskripsi Penyakit:</strong> {{$p->deskripsi_penyakit}}</p>
                    <p><strong>Saran Penanganan:</strong></p>
                    <ul>
                        @foreach(explode("\n", $p->saran_penanganan) as $saran)
                            <li>{{ $saran }}</li>
                        @endforeach
                    </ul>
                    <p><strong>Saran Pencegahan:</strong></p>
                    <ul>
                        @foreach(explode("\n", $p->saran_pencegahan) as $saran)
                            <li>{{ $saran }}</li>
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
@endforeach
@endsection
