<?php

use App\Http\Controllers\AnalisisController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\GaleriController;
use App\Http\Controllers\GejalaController;
use App\Http\Controllers\LandingPage;
use App\Http\Controllers\Layout;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\NpakarController;
use App\Http\Controllers\NuserController;
use App\Http\Controllers\PenyakitController;
use App\Http\Controllers\PenangananController;
use App\Http\Controllers\RiwayatController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;
use SebastianBergmann\CodeCoverage\Report\Html\Dashboard;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
    //return view('welcome');
//});

//halaman index
//Route::get('/', [Layout::class, 'home']);
Route::get('/', [LandingPage::class, 'index']);

//Route::controller(Layout::class)->group(function(){
   // Route::get('/layout/home', 'home');
   // Route::get('/layout/index', 'index');
//});

//login
//Route::get('login', [LoginController::class, 'index'])->name('login');
Route::controller(LoginController::class)->group(function(){
    Route::get('login', 'index')->name('login');
    Route::post('login/proses', 'proses');
    //Route::get('logout', 'logout');
});

//Registrasi
Route::get('/registrasi', [LoginController::class, 'registrasi'])->name('registrasi');
//Route::post('/simpanregistrasi', [LoginController::class, 'simpanregistrasi'])->name('simpanregistrasi');
Route::post('/prosesregistrasi', [LoginController::class, 'prosesregistrasi'])->name('prosesregistrasi');

//Membatasi halaman untuk hak akses
Route::group(['middleware' => ['auth']], function () {
    Route::group(['middleware' => ['cekUserLogin:1']], function () {
        Route::resource('dashboard', Dashboard::class);
    });

    Route::group(['middleware' => ['cekUserLogin:2']], function () {
        Route::resource('home', Layout::class);
    });
});


//home admin
Route::middleware('auth')->group(function () {
    Route::get('/home', [Layout::class, 'home']);
});

//dashboard
Route::middleware('auth')->group(function () {
    Route::get('/dashboard', [DashboardController::class, 'dashboard']);
});

//Gejala
Route::middleware('auth')->group(function () {
    Route::get('/gejala', [GejalaController::class, 'index'])->name('gejala.index');
    Route::get('/gejala/create', [GejalaController::class, 'create']);
    Route::post('/gejala/store', [GejalaController::class, 'store']);
    Route::get('/gejala/{kode_gejala}/edit', [GejalaController::class, 'edit']);
    Route::put('/gejala/{kode_gejala}', [GejalaController::class, 'update']);
    Route::delete('/gejala/{kode_gejala}', [GejalaController::class, 'destroy']);
});

//Penyakit
Route::middleware('auth')->group(function () {
    Route::get('/penyakit', [PenyakitController::class, 'index'])->name('penyakit.index');
    Route::get('/penyakit/create', [PenyakitController::class, 'create']);
    Route::post('/penyakit/store', [PenyakitController::class, 'store']);
    Route::get('/penyakit/{id}/edit', [PenyakitController::class, 'edit']);
    Route::put('/penyakit/{id}', [PenyakitController::class, 'update']);
    Route::delete('/penyakit/{id}', [PenyakitController::class, 'destroy']);
});



//Penanganan
Route::middleware('auth')->group(function () {
    Route::get('/penanganan', [PenangananController::class, 'index'])->name('penanganan.index');
    Route::get('/penanganan/create', [PenangananController::class, 'create']);
    Route::post('/penanganan/store', [PenangananController::class, 'store']);
    Route::get('/penanganan/{id}/edit', [PenangananController::class, 'edit']);
    Route::put('/penanganan/{id}', [PenangananController::class, 'update']);
    Route::delete('/penanganan/{id}', [PenangananController::class, 'destroy']);
});

//Nilai Pakar
Route::middleware('auth')->group(function () {
    Route::get('/npakar', [NpakarController::class, 'index']);
    Route::get('/npakar/create', [NpakarController::class, 'create']);
    Route::post('/npakar/store', [NpakarController::class, 'store']);
    Route::get('/npakar/{id}/edit', [NpakarController::class, 'edit']); 
    Route::put('/npakar/{id}', [NpakarController::class, 'update']); 
    Route::delete('/npakar/{id}', [NpakarController::class, 'destroy']); 
});

//Nilai User
Route::middleware('auth')->group(function () {
    Route::get('/nuser', [NuserController::class, 'index'])->name('nuser.index');
    Route::get('/nuser/create', [NuserController::class, 'create']);
    Route::post('/nuser/store', [NuserController::class, 'store']);
    Route::get('/nuser/{id}/edit', [NuserController::class, 'edit']);
    Route::put('/nuser/{id}', [NuserController::class, 'update']);
    Route::delete('/nuser/{id}', [NuserController::class, 'destroy']);
});

//Analisis Dugaan
Route::middleware('auth')->group(function () {
Route::get('/analisis', [AnalisisController::class, 'index']);
Route::post('/hasil-analisis', [AnalisisController::class, 'hasilAnalisis']);

Route::get('/riwayat-user', [RiwayatController::class, 'index']);
Route::delete('/riwayat-user/{id}', [RiwayatController::class, 'destroy']);



Route::get('/riwayat-analisis', [RiwayatController::class, 'index2']);


    // Route::get('/analisis/create', [AnalisisController::class, 'create']);
    // Route::post('/analisis/store', [AnalisisController::class, 'store']);
    // Route::get('/analisis/{id}/edit', [AnalisisController::class, 'edit']);
    // Route::put('/analisis/{id}', [AnalisisController::class, 'update']);
    // Route::delete('/analisis/{id}', [AnalisisController::class, 'destroy']);
});



//Galeri
Route::middleware('auth')->group(function () {
    Route::get('/galeri', [GaleriController::class, 'index'])->name('galeri.index');
    Route::get('/galeri/create', [GaleriController::class, 'create']);
    Route::post('/galeri/store', [GaleriController::class, 'store']);
    Route::get('/galeri/{id}/edit', [GaleriController::class, 'edit']);
    Route::put('/galeri/{id}', [GaleriController::class, 'update']);
    Route::delete('/galeri/{id}', [GaleriController::class, 'destroy']);
});

//user
Route::middleware('auth')->group(function () {
    Route::get('/user', [UserController::class, 'user']);
});

//logout
Route::get('/logout', [LoginController::class, 'logout'])->name('logout');


